Loading...
Searching...
No Matches
PatchMap Class Reference

An quadtree-based map connecting coarse faces to their sub-patches. More...

`#include <patchMap.h>`

## Public Types

typedef PatchTable::PatchHandle | Handle

## Public Member Functions

| PatchMap (PatchTable const &patchTable)
| Constructor.
Handle const * | FindPatch (int patchFaceId, double u, double v) const
| Returns a handle to the sub-patch of the face at the given (u,v). Note that the patch face ID corresponds to potentially quadrangulated face indices and not the base face indices (see Far::PtexIndices for more details).

## Detailed Description

An quadtree-based map connecting coarse faces to their sub-patches.

PatchTable::PatchArrays contain lists of patches that represent the limit surface of a mesh, sorted by their topological type. These arrays break the connection between coarse faces and their sub-patches.

The PatchMap provides a quad-tree based lookup structure that, given a singular parametric location, can efficiently return a handle to the sub-patch that contains this location.

Definition at line 49 of file patchMap.h.

## Member Typedef Documentation

## Handle

typedef PatchTable::PatchHandle Handle

Definition at line 52 of file patchMap.h.

## Constructor & Destructor Documentation

## PatchMap()

PatchMap | ( | PatchTable const & | patchTable | ) |

Constructor.

Parameters

  patchTable | A valid PatchTable

## Member Function Documentation

## FindPatch()

PatchMap::Handle const * FindPatch | ( | int | patchFaceId,
|  | double | u,
|  | double | v ) const

inline

Returns a handle to the sub-patch of the face at the given (u,v). Note that the patch face ID corresponds to potentially quadrangulated face indices and not the base face indices (see Far::PtexIndices for more details).

Returns a handle to the sub-patch of the face at the given (u,v).

Parameters

  patchFaceId | The index of the patch (Ptex) face
  u | Local u parameter
  v | Local v parameter

Returns
  A patch handle or 0 if the face is not supported (index out of bounds) or is tagged as a hole

Definition at line 193 of file patchMap.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/patchMap.h